require 'prune/prune_plugin'
require 'rm/plugins/dovecot'

class DovecotPrune < DovecotRm

  include PrunePlugin


  def get_leftover_domains(db_domains)
    # Get the list of domains according to the filesystem.
    fs_domains = self.list_domains()

    # Return the list of domains on the filesystem that aren't in the DB.
    return (fs_domains - db_domains)
  end

  def get_leftover_accounts(db_accounts)
    # Get the list of accounts according to the filesystem.
    fs_domains = self.list_domains()
    fs_accounts = self.list_domains_users(fs_domains)

    # And return the accounts on the filesystem that aren't in the DB.
    return (fs_accounts - db_accounts)
  end

end
