require 'common/filesystem'
require 'common/mailstore'
require 'common/dovecot_plugin'
require 'mv/mv_plugin'

class DovecotMv < Mailstore

  include DovecotPlugin
  include MvPlugin


  def mv_domain(from, to)
    from_path = self.get_domain_path(from)
    to_path = self.get_domain_path(to)
    FileUtils.mv(from_path, to_path)
  end

  def mv_account(from, to)
    from_path = self.get_account_path(from)
    to_path = self.get_account_path(to)
    FileUtils.mv(from_path, to_path)
  end

end
